此内容没有您所选择的语言版本。
14.2. Deploy an Application
Description
Deploy the specified application.
Method and URL Structure
| Method | Resource URL |
|---|---|
POST | /broker/rest/application/:id/deployments |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
ref | Git reference, such as tag, branch, or commit ID | No | master |
artifact_url | URL from where the deployment artifact is to be downloaded | No | |
hot_deploy | Indicates whether this is a hot deployment | No | false |
force_clean_build | Indicates whether a clean build is to be performed | No | false |
See Section A.8, “Deployments” for more information about the valid options applicable to these request parameters.
Request
{
"ref": "master",
"hot_deploy": false,
"force_clean_build": false
}
cURL Command Example
$ curl -X POST https://openshift.redhat.com/broker/rest/application/5255b678b78bba421d000008/deployments --user user@example.com:password --data-urlencode ref=master --data-urlencode hot_deploy=false --data-urlencode force_clean_build=false
JSON Response
The API returns the deployment resource. See Chapter 14, Deployment for more information on all deployment parameters.
{
"api_version": 1.6,
"data": {
"activations": [
"2013-10-09T20:07:16Z"
],
"created_at": "2013-10-09T20:07:03Z",
"force_clean_build": false,
"hot_deploy": false,
"id": "4e2d9a82",
"ref": "master",
"sha1": "86a5e8d"
},
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Added 4e2d9a82 to application myapp"
}
],
"status": "created",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "deployment",
"version": "1.6"
}